/*
 * getcwd.c
 */


#include<sys/types.h>
#include<callgate.h>
#include<errno.h>


extern int _getcwd(char*,size_t);


char *getcwd(char *buf, size_t size)
{
	if (_getcwd(buf,size) == -1)
		return NULL;
	return buf;
}

